<div class="all-charges">
  <div class="all-charges__details">
    <img
      src="/app/presentation/assets/img/icons/checked-green.svg"
      alt="charges"
      class="icon"
    />
    <div class="header">
      <h2 class="header__title">Capital charges</h2>
      <p class="header__description">
        The capital charge is set as a default configuration given that <br />
        the original loaned amount must be repaid in full. This charge <br />
        cannot be removed.
      </p>
    </div>
  </div>
  <div class="all-charges__body">
    <layout-accordion
      title="Interest"
      [checked]="!!interestCharge"
      [open]="isOpenInterest"
      (toggle)="onToggleInterest($event)"
    >
      <interest
        (submitInterest)="onSendInterestCharge($event)"
        (removeInterest)="onRemoveInterestCharge()"
        [offerInterestCharge]="interestCharge"
      ></interest>
    </layout-accordion>
    <layout-accordion
      title="Costs"
      [checked]="!!costCharge"
      [open]="isOpenCost"
      (toggle)="onToggleCost($event)"
    >
      <cost
        (submitCost)="onSendCostCharge($event)"
        (removeCost)="onRemoveCostCharge()"
        [costCharge]="costCharge"
      ></cost>
    </layout-accordion>
    <layout-accordion
      title="Collection costs"
      [checked]="!!collectionCostCharge"
      [open]="isOpenCollectionCost"
      (toggle)="onToggleCollectionCost($event)"
    >
      <collection-costs
        (submitCollectionCost)="onSendCollectionCost($event)"
        (removeCollectionCost)="onRemoveCollectionCost()"
        [collectionCostCharge]="collectionCostCharge"
      ></collection-costs>
    </layout-accordion>
    <layout-accordion
      title="Default interest"
      [checked]="!!defaultInterestCharge"
      [open]="isOpenDefaultInterest"
      (toggle)="onToggleDefaultInterest($event)"
    >
      <default-interest
        (submitDefaultInterest)="onSendDefaultInterestCharge($event)"
        (removeDefaultInterest)="onRemoveDefaultInterestCharge()"
        [defaultInterestCharge]="defaultInterestCharge"
      ></default-interest>
    </layout-accordion>
  </div>
</div>
